## gnat-gps 6.1.2016

=== cli/Makefile ===
GPRBUILD=gprbuild
GPRCLEAN=gprclean

all default:
	$(GPRBUILD) -p -Pcli

clean:
	$(GPRCLEAN) -q -r -Pcli
