=== debian/changelog ===
gnat-gps (6.1.2016-1ubuntu1) artful; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control: gnat-gps: Recommend gdb | gdb-minimal.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 02 Sep 2017 00:02:08 +0200

gnat-gps (6.1.2016-1) unstable; urgency=medium

  * New upstream release GPL-2016.
    Disable new CLang module because it causes a link failure.
  * New files with the Expat license.
  * Build against latest gnatcoll, gtkada, templates-parser, xmlada.
    Replace libgnatprj, removed from GCC, with gpr from gprbuild.
    Patches to use Debian versions of gnatcoll and gpr.
  * Build-Depend: gnatcoll-xref (new), latexmk (for sphinx PDF module),
    texlive-plain-generic (renaming).
  * Update icon reference in desktop file. Closes: #855649.
  * Prettier watch file with version 4 format.
  * Debhelper 10.
  * PDFLaTeX now deals with SOURCE_DATE_EPOCH without faketime.
  * Standards-Version: 4.1.0.
    HTTPS copyright format URL. Allow DEB_BUILD_OPTIONS=nodoc
  * Update Vcs-Mtn URL.
  * Drop obsolete preinst scripts, 5.0-13 not in oldstable anymore.
  * Disable sphinx parallelism because of #869098.
  * Fix various typos or file permissions.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 23 Aug 2017 10:06:52 +0200

gnat-gps (6.1.1-1ubuntu2) zesty; urgency=medium

  * No-change rebuild for ada transition.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 07 Apr 2017 08:04:46 -0600

gnat-gps (6.1.1-1ubuntu1) yakkety; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - debian/control: gnat-gps: Recommend gdb | gdb-minimal.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 05 Aug 2016 10:32:37 +0200
