=== debian/rules ===
#!/usr/bin/make -f

##############
# Legal stuff
##############

# Copyright (c) 2003-2006, 2011-2014 Ludovic Brenta <lbrenta@debian.org>
# Copyright (c) 2010-2017 Nicolas Boulenguez <nicolas@debian.org>

# This build script is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 3 of the
# License, or (at your option) any later version.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.

# On Debian systems, the full text of the GPL is in the file
# /usr/share/common-licenses/GPL-3.

.SUFFIXES:

########################
# Guess some variables.
########################

gnat_version := $(shell gnatgcc -dumpversion | sed 's/\..*//')

DEB_BUILD_MAINT_OPTIONS := hardening=+all
include /usr/share/dpkg/default.mk
# Set CFLAGS (handling noopt from DEB_BUILD_OPTIONS), LDFLAGS,
# DEB_HOST_GNU_TYPE, DEB_HOST_ARCH, DEB_VERSION...
include /usr/share/ada/debian_packaging-$(gnat_version).mk

PKG_CONFIG_LIBRARIES := gtk+-3.0 glib-2.0

# CLANG_VERSION := $(shell dpkg -s libclang-dev \
#   | sed -nr '/^Depends: libclang-(.*)-dev.*/{s//\1/p;q}')
# LIBS := -L/usr/lib/llvm-$(CLANG_VERSION)/lib -lclang -lstdc++

######################################################################
%:
	dh $@

# Do not try to call an upstream configure or Makefile.
.PHONY: $(addprefix override_dh_auto_, \
  clean configure build-arch build-indep test install)

######################################################################

GPS_WELCOME := docs/gps-welcome.html docs/gps-welcome-public.html
override_dh_auto_build-indep: $(GPS_WELCOME)
$(GPS_WELCOME): %: %.in
	sed -e 's/@GPS_VERSION@/$(DEB_VERSION_UPSTREAM)/' $< > $@
override_dh_auto_clean::
	rm -f $(GPS_WELCOME)

PROTOCOLS_PY := share/support/core/protocols.py
override_dh_auto_build-indep: $(PROTOCOLS_PY)
$(PROTOCOLS_PY): %: %.in
	sed -e 's/@SSH_ESCAPE@/~/' $< > $@
override_dh_auto_clean::
	rm -f $(PROTOCOLS_PY)

# Note: the script generates both Ada and Python sources, the latter
# are embedded into the users_guide.
override_dh_auto_build-arch: docs/users_guide/GPS/generated_hooks.py
docs/users_guide/_build: docs/users_guide/GPS/generated_hooks.py
docs/users_guide/GPS/generated_hooks.py: kernel/src/hooks.py
	rm -fr kernel/generated
	mkdir kernel/generated
	cd kernel/src && python hooks.py
override_dh_auto_clean::
	rm -fr kernel/generated docs/users_guide/GPS/generated_hooks.py

# override_dh_auto_build-arch: libclang/gen
libclang/gen:
	$(MAKE) -C libclang \
	  CLANG_SRC_DIR=/usr/lib/llvm-$(CLANG_VERSION) \
	  GCC_DUMPMACHINE=$(DEB_HOST_MULTIARCH)
override_dh_auto_clean::
	rm -fr libclang/gen

GNAT_SWITCHES_PY := share/support/core/gnat_switches.py
override_dh_auto_build-indep: $(GNAT_SWITCHES_PY)
$(GNAT_SWITCHES_PY): distrib/gnat_switches.py \
                     gnat/building_executable_programs_with_gnat.rst
	python distrib/gnat_switches.py > $@
override_dh_auto_clean::
	rm -f $(GNAT_SWITCHES_PY)

GNAT_RUNTIME_PLUG_IN := share/support/core/runtime.py
override_dh_auto_build-indep: $(GNAT_RUNTIME_PLUG_IN)
share/support/core/runtime.py: distrib/from_impunit.pl gnat/impunit.adb
	cd distrib && perl from_impunit.pl
override_dh_auto_clean::
	rm -f  $(GNAT_RUNTIME_PLUG_IN)

######################################################################
override_dh_auto_build-arch:
	gprbuild $(BUILDER_OPTIONS) -k -Pdebian/build_gps.gpr \
	  $(foreach v,ADAFLAGS CFLAGS CPPFLAGS LDFLAGS LIBS,"-X$(v)=$($(v))") \
	  "-XPKG_CONFIG_CFLAGS=`pkg-config --cflags $(PKG_CONFIG_LIBRARIES)`" \
	  "-XPKG_CONFIG_LIBS=`pkg-config --libs $(PKG_CONFIG_LIBRARIES)`"
override_dh_auto_clean::
	rm -f obj/*

CONFIG_ADS := common/core/src/config.ads
override_dh_auto_build-arch: $(CONFIG_ADS)
$(CONFIG_ADS): %: %.in
	sed -e 's/@CURRENT_YEAR@/2015/' \
	    -e 's/@GPS_VERSION@/$(DEB_VERSION_UPSTREAM)/' \
	    -e 's/@TARGET@/$(DEB_HOST_GNU_TYPE))/' \
	    -e 's/@TARGET_IS_DARWIN@/False/' \
	    -e 's!@prefix@!/usr!' \
	    -e 's/@HOST_TYPE@/Unix/' \
	    -e 's/@STRIP_CR@/False/' \
	    -e 's/@CAN_OUTPUT@/True/' \
	    -e 's!@EXEC_COMMAND@!/bin/sh -c!' \
	    -e 's/@DEFAULT_PS@/ps/' \
	    -e 's/@PRINT_CMD@/lpr/' \
	    -e 's/@OPAQUE_MDI@/True/' \
	    -e 's/@DIFF_CMD@/diff -u/' \
	    -e 's/@DIFF3_CMD@/diff3/' \
	    -e 's/@PATCH_CMD@/patch/' \
	    -e 's/@EXECUTION_WINDOW@/True/' \
	    -e 's/@CHARSET@/UTF-8/' $< > $@
override_dh_auto_clean::
	rm -f $(CONFIG_ADS)

######################################################################
DOCS := \
 docs/users_guide/_build \
 docs/tutorial/_build \
 docs/programmers_guide/_build \
 docs/release_notes/build \
 gnatdoc/docs/users_guide/_build

ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
override_dh_auto_build-indep: $(DOCS)
endif

# Note: see docs/users_guide/GPS/generated_hooks.py above.
# TODO: append SPHINXOPTS=-j$(BUILDER_JOBS) once #869098 is fixed.
$(DOCS):
	$(MAKE) -C $(dir $@) html latexpdf
	# Creates Python precompiled files in every imported module,
	# we do not want them installed.
	find . -name "*.pyc" -delete
override_dh_auto_clean::
	rm -fr $(DOCS)
	find . -name "*.pyc" -delete

######################################################################
# Mimic dh --with sphinxdoc with sphinx-common in Build-Depends-Indep.
.PHONY: override_dh_installdocs-indep
override_dh_installdocs-indep:
	dh_installdocs -i
	dh_sphinxdoc -i

.PHONY: override_dh_install-indep
override_dh_install-indep:
	dh_install -i
  # Documentation and license are not useful here.
	rm -f debian/gnat-gps-common/usr/share/gps/color_themes/themes/*/README.*
	rm -f debian/gnat-gps-common/usr/share/gps/color_themes/themes/*/LICENSE*
  # Should be a wishlist for dh_fixperms.
	chmod 644 debian/gnat-gps-common/usr/share/gps/icons/hicolor/scalable/16x16/gps-*.svg

# Mimic dh --with linktree, with dh-linktree in Build-Depends-Indep.
.PHONY: override_dh_link-indep
override_dh_link-indep:
	dh_link -i
	dh_linktree -i

.PHONY: override_dh_compress
override_dh_compress:
	dh_compress --all -X.xml -X.ads -X.adb -X.c -X.py
