=== debian/watch ===
# See README.source.

version=4
opts=\
  repack,\
  compression=xz,\
  dversionmangle=s/.*\.//,\
  filenamemangle=s/^.*download=// \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=adacore/gps \
.*gps-gpl@ANY_VERSION@-src@ARCHIVE_EXT@
