## gnat-gps 17.0.2017

=== gps/Makefile ===
--- 
+++ 
@@ -22,9 +22,9 @@
 Build?=Debug
 
 ifeq ($(Build),Production)
-  GPRBUILD_BUILD_TYPE_FLAGS=-XBuild=Production -XGnatcoll_Build=Production -XOS=${OS}
+  GPRBUILD_BUILD_TYPE_FLAGS=-XBuild=Production -XGnatcoll_Build=Production -XOS=${OS} -XLIBRARY_TYPE=relocatable -XXMLADA_BUILD=relocatable
 else
-  GPRBUILD_BUILD_TYPE_FLAGS=-XBuild=Debug -XGnatcoll_Build=Debug -XOS=${OS}
+  GPRBUILD_BUILD_TYPE_FLAGS=-XBuild=Debug -XGnatcoll_Build=Debug -XOS=${OS} -XLIBRARY_TYPE=relocatable -XXMLADA_BUILD=relocatable
 endif
 
 .PHONY: default resources do_links all clean
@@ -40,7 +40,10 @@
 # gnat.adc (No_Tasking restriction) on all gnatcoll sources.
 all: resources do_links
 	cd ../kernel/src; ${PYTHON} hooks.py
-	$(GPRBUILD) $(GPRBUILD_FLAGS) -m -ws -P../spark/spark
+	cd ../kernel/generated; gnatcoll_db2ada -api=GPS.Kernel.Properties.Database -adacreate -dbmodel=../src/properties_schema.txt
+ifeq ($(OS),Windows_NT)
+	for f in ../kernel/generated/*; do cat $$f | tr -d '\015' > $$f-aux; mv -f $$f-aux $$f; done
+endif
 	$(GPRBUILD) $(GPRBUILD_FLAGS) -m -p -ws -XTP_TASKING=No_Tasking \
 	  $(GPRBUILD_BUILD_TYPE_FLAGS) -Pgps -largs `pkg-config gmodule-2.0 --libs`
