=== debian/changelog ===
gnat-gps (17.0.2017-1ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control: gnat-gps: Recommend gdb | gdb-minimal.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 04 May 2018 09:41:41 +0200

gnat-gps (17.0.2017-1) unstable; urgency=medium

  * Upload to unstable.
  * Add sphinxdoc substvar for Built-Using.
  * Standards-Version: 4.1.4.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 24 Apr 2018 17:58:35 +0200

gnat-gps (17.0.2017-1~exp1) experimental; urgency=medium

  [Nicolas Boulenguez]
  * New upstream release GPL-2017.
    Drop packaging for gnatspark executable.
    Regenerate database Ada sources. Build-Depend: libgnatcoll-sqlite-bin.
    Package new release_notes_17 documentation.
    Disable libadalang support, dependency is not packaged.
  * Re-enable clang support, seems to link correctly now. Update to 3.8.
  * Build-Depends: drop obsolete version restriction on dpkg-dev.
  * Debheper 11. Simplifies installation of documentation.
  * gtk3-incompatibility.diff: goes with libgtkada17.0-dev, fixing
    gtkada with recent gtk3.
  * Build-Depend: python3-sphinx instead of deprecated python2 version.
  * Fix many incompatibilities with python3. Build-Depend: python*-six.
    Gather all python3-related fixes in a single diff to ease rebasing.
  * Remove trailing whitespaces in this changelog.
  * Tell lintian that welcome.html does not need doc-base registration.
  * Remove __pycache__ directories after removing .pyc contents.
  * Remove execution rights for some python modules.
  * Standards-Version: 4.1.3. No changes.
  * Allow gnat-gps-doc to satisfy Multi-Arch foreign dependencies.

  [Thierry Rascle <thierr26@free.fr>]
  * gnatdoc.diff closes: #861616.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 04 Mar 2018 00:05:32 +0100
