=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Ludovic Brenta <lbrenta@debian.org>
 Uploaders: Xavier Grave <xavier.grave@csnsm.in2p3.fr>,
  Nicolas Boulenguez <nicolas@debian.org>
-Build-Depends: debhelper (>= 10), dpkg-dev (>= 1.16.1),
+Build-Depends: debhelper (>= 11),
  gnat,
  libgpr1-dev,
  libxmlada-unicode7-dev,
@@ -16,13 +16,15 @@
 # gprbuild removing auto.cgpr after the build.
  libtemplates-parser11.10.2-dev,
  pkg-config, libglib2.0-dev, libgtk-3-dev,
- libgtkada16.1.0-dev,
+ libgtkada17.0-dev,
  libgnatcoll-python16.1.0-dev,
  libgnatcoll16.1.0-dev,
- libgnatcoll-gtk16.1.0-dev,
+ libgnatcoll-gtk17.0-dev,
  libgnatcoll-sqlite16.1.0-dev,
- libgnatcoll-xref17.0.2017-dev
-# libclang-dev See TODO
+ libgnatcoll-xref17.0.2017-dev,
+ libclang-dev,
+ libgnatcoll-sqlite-bin
+# used by d/rules to generate gps-kernel-properties-database.ads.
 Build-Depends-Indep:
 # Sphinx uses graphs for Python inheritance trees, in gps.py for example.
  graphviz,
@@ -38,8 +40,10 @@
  sphinx-common,
 # other js libraries
  dh-linktree,
- python-sphinx
-Standards-Version: 4.1.0
+ python3-sphinx
+# Some gps modules are imported by sphinx.
+ ,python3-six
+Standards-Version: 4.1.4
 Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.gnat-gps
 Vcs-Mtn: mtn://www.ada-france.org?org.debian.gnat-gps
 Homepage: http://libre.adacore.com/libre/tools/gps
@@ -47,12 +51,16 @@
 Package: gnat-gps
 Architecture: any
 Depends: gnat-gps-common (=${source:Version}), ${shlibs:Depends}, ${misc:Depends},
+# Required to generate the GTK binding at run time.
+ gir1.2-gtk-3.0,
 # Required for any compilation.
  gprbuild,
 # Required by the Python scripts describing the GUI.
  python-gi,
 # libgnatcoll-sqlite-bin provides gnatinspect and gnat-gps runs it.
  libgnatcoll-sqlite-bin
+# Some gps modules are patched for python2&3.
+ ,python-six
 Recommends: gnat (>= 4.9), gdb | gdb-minimal (>= 6.8),
  gnat-gps-doc (= ${source:Version})
  ,python-jedi
@@ -89,7 +97,9 @@
 
 Package: gnat-gps-doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Built-Using: ${sphinxdoc:Built-Using}
 Recommends: ada-reference-manual-2012
 Section: doc
 Description: integrated development environment for C and Ada (documentation)
