=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 ##############
 
 # Copyright (c) 2003-2006, 2011-2014 Ludovic Brenta <lbrenta@debian.org>
-# Copyright (c) 2010-2017 Nicolas Boulenguez <nicolas@debian.org>
+# Copyright (c) 2010-2018 Nicolas Boulenguez <nicolas@debian.org>
 
 # This build script is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License as
@@ -36,9 +36,11 @@
 
 PKG_CONFIG_LIBRARIES := gtk+-3.0 glib-2.0
 
-# CLANG_VERSION := $(shell dpkg -s libclang-dev \
-#   | sed -nr '/^Depends: libclang-(.*)-dev.*/{s//\1/p;q}')
-# LIBS := -L/usr/lib/llvm-$(CLANG_VERSION)/lib -lclang -lstdc++
+CLANG_VERSION := $(shell dpkg -s libclang-dev \
+  | sed -nr '/^Depends: libclang-(.*)-dev.*/{s//\1/p;q}')
+LIBS := -L/usr/lib/llvm-$(CLANG_VERSION)/lib -lclang -lstdc++
+
+PYTHON := python
 
 ######################################################################
 %:
@@ -50,20 +52,6 @@
 
 ######################################################################
 
-GPS_WELCOME := docs/gps-welcome.html docs/gps-welcome-public.html
-override_dh_auto_build-indep: $(GPS_WELCOME)
-$(GPS_WELCOME): %: %.in
-	sed -e 's/@GPS_VERSION@/$(DEB_VERSION_UPSTREAM)/' $< > $@
-override_dh_auto_clean::
-	rm -f $(GPS_WELCOME)
-
-PROTOCOLS_PY := share/support/core/protocols.py
-override_dh_auto_build-indep: $(PROTOCOLS_PY)
-$(PROTOCOLS_PY): %: %.in
-	sed -e 's/@SSH_ESCAPE@/~/' $< > $@
-override_dh_auto_clean::
-	rm -f $(PROTOCOLS_PY)
-
 # Note: the script generates both Ada and Python sources, the latter
 # are embedded into the users_guide.
 override_dh_auto_build-arch: docs/users_guide/GPS/generated_hooks.py
@@ -71,11 +59,11 @@
 docs/users_guide/GPS/generated_hooks.py: kernel/src/hooks.py
 	rm -fr kernel/generated
 	mkdir kernel/generated
-	cd kernel/src && python hooks.py
+	cd kernel/src && $(PYTHON) hooks.py
 override_dh_auto_clean::
 	rm -fr kernel/generated docs/users_guide/GPS/generated_hooks.py
 
-# override_dh_auto_build-arch: libclang/gen
+override_dh_auto_build-arch: libclang/gen
 libclang/gen:
 	$(MAKE) -C libclang \
 	  CLANG_SRC_DIR=/usr/lib/llvm-$(CLANG_VERSION) \
@@ -87,16 +75,9 @@
 override_dh_auto_build-indep: $(GNAT_SWITCHES_PY)
 $(GNAT_SWITCHES_PY): distrib/gnat_switches.py \
                      gnat/building_executable_programs_with_gnat.rst
-	python distrib/gnat_switches.py > $@
+	$(PYTHON) distrib/gnat_switches.py > $@
 override_dh_auto_clean::
 	rm -f $(GNAT_SWITCHES_PY)
-
-GNAT_RUNTIME_PLUG_IN := share/support/core/runtime.py
-override_dh_auto_build-indep: $(GNAT_RUNTIME_PLUG_IN)
-share/support/core/runtime.py: distrib/from_impunit.pl gnat/impunit.adb
-	cd distrib && perl from_impunit.pl
-override_dh_auto_clean::
-	rm -f  $(GNAT_RUNTIME_PLUG_IN)
 
 ######################################################################
 override_dh_auto_build-arch:
@@ -107,10 +88,23 @@
 override_dh_auto_clean::
 	rm -f obj/*
 
-CONFIG_ADS := common/core/src/config.ads
-override_dh_auto_build-arch: $(CONFIG_ADS)
-$(CONFIG_ADS): %: %.in
-	sed -e 's/@CURRENT_YEAR@/2015/' \
+database := kernel/generated/gps-kernel-properties-database.ads
+override_dh_auto_build-arch: $(database)
+$(database):
+	cd $(dir $@) && gnatcoll_db2ada -api=GPS.Kernel.Properties.Database -adacreate -dbmodel=../src/properties_schema.txt
+override_dh_auto_clean::
+	rm -f $(database)
+
+######################################################################
+configured := \
+  common/core/src/config.ads \
+  docs/gps-welcome.html \
+  docs/gps-welcome-public.html \
+  share/support/core/protocols.py
+override_dh_auto_configure: $(configured)
+$(configured): %: %.in
+	sed \
+	    -e 's/@CURRENT_YEAR@/2017/' \
 	    -e 's/@GPS_VERSION@/$(DEB_VERSION_UPSTREAM)/' \
 	    -e 's/@TARGET@/$(DEB_HOST_GNU_TYPE))/' \
 	    -e 's/@TARGET_IS_DARWIN@/False/' \
@@ -126,9 +120,11 @@
 	    -e 's/@DIFF3_CMD@/diff3/' \
 	    -e 's/@PATCH_CMD@/patch/' \
 	    -e 's/@EXECUTION_WINDOW@/True/' \
-	    -e 's/@CHARSET@/UTF-8/' $< > $@
+	    -e 's/@CHARSET@/UTF-8/' \
+	    -e 's/@SSH_ESCAPE@/~/' \
+	    $< > $@
 override_dh_auto_clean::
-	rm -f $(CONFIG_ADS)
+	rm -f $(configured)
 
 ######################################################################
 DOCS := \
@@ -136,22 +132,28 @@
  docs/tutorial/_build \
  docs/programmers_guide/_build \
  docs/release_notes/build \
+ docs/release_notes_17/build \
  gnatdoc/docs/users_guide/_build
 
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 override_dh_auto_build-indep: $(DOCS)
+  # Rename one of the two ReleaseNotes.pdf.
+	cd docs/release_notes_17/build/latex && cp -f ReleaseNotes.pdf ReleaseNotes_17.pdf
+  # Sphinx creates Python precompiled files in every imported module,
+  # we do not want them installed.
+	find . -name "*.pyc" -delete
+	find . -type d -name "__pycache__" -print0 | xargs -r0 rmdir
 endif
 
 # Note: see docs/users_guide/GPS/generated_hooks.py above.
 # TODO: append SPHINXOPTS=-j$(BUILDER_JOBS) once #869098 is fixed.
 $(DOCS):
 	$(MAKE) -C $(dir $@) html latexpdf
-	# Creates Python precompiled files in every imported module,
-	# we do not want them installed.
-	find . -name "*.pyc" -delete
+
 override_dh_auto_clean::
 	rm -fr $(DOCS)
 	find . -name "*.pyc" -delete
+	find . -type d -name "__pycache__" -print0 | xargs -r0 rmdir
 
 ######################################################################
 # Mimic dh --with sphinxdoc with sphinx-common in Build-Depends-Indep.
@@ -168,6 +170,13 @@
 	rm -f debian/gnat-gps-common/usr/share/gps/color_themes/themes/*/LICENSE*
   # Should be a wishlist for dh_fixperms.
 	chmod 644 debian/gnat-gps-common/usr/share/gps/icons/hicolor/scalable/16x16/gps-*.svg
+  # Probably errors in upstream package.
+	chmod 644 debian/gnat-gps-common/usr/share/gps/plug-ins/spark2014.py
+	chmod 644 debian/gnat-gps-common/usr/share/gps/support/core/gps_utils/internal/dialogs.py
+  # Removed by upstream install process in Makefile.
+	rm -f debian/gnat-gps-common/usr/share/gps/icons/hicolor/scalable/*sketch
+  # libadalang is disabled because it is not packaged in Debian
+	rm -f debian/gnat-gps-common/usr/share/gps/support/core/lal.py
 
 # Mimic dh --with linktree, with dh-linktree in Build-Depends-Indep.
 .PHONY: override_dh_link-indep
