=== debian/changelog ===
gnat-gps (18-5ubuntu1) disco; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Build with -O2 on ppc64el (avoiding a FTBFS).
    - debian/control: gnat-gps: Recommend gdb | gdb-minimal.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 11 Dec 2018 22:05:04 +0100

gnat-gps (18-5) unstable; urgency=medium

  * Disable 32 bits builds, affected by #913371.
    The problem was hidden by some 64 bits chroot.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 11 Dec 2018 14:43:22 +0100

gnat-gps (18-4ubuntu1) disco; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Build with -O2 on ppc64el (avoiding a FTBFS).
    - debian/control: gnat-gps: Recommend gdb | gdb-minimal.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 03 Dec 2018 20:00:37 +0100

gnat-gps (18-4) unstable; urgency=medium

  * Stop attempting to build on armel mips mipsel to circumvent #913371.
  * Reenable parallelism.
  * Update the copyright year in documentation automatically.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 02 Dec 2018 21:32:20 +0100

gnat-gps (18-3ubuntu1) disco; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Build with -O2 on ppc64el (avoiding a FTBFS).
    - debian/control: gnat-gps: Recommend gdb | gdb-minimal.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 01 Dec 2018 05:29:17 +0100

gnat-gps (18-3) unstable; urgency=medium

  * On 32 bits archs, forbid parallelism to use less memory. Closes: 913371.
  * Link with --as-needed and similar options.
  * Standards-Version: 4.2.1.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 11 Nov 2018 11:49:30 +0100

gnat-gps (18-2ubuntu2) disco; urgency=medium

  * Build with -O2 on ppc64el (avoiding a FTBFS).

 -- Matthias Klose <doko@ubuntu.com>  Mon, 12 Nov 2018 08:11:11 +0100

gnat-gps (18-2ubuntu1) disco; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control: gnat-gps: Recommend gdb | gdb-minimal.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 10 Nov 2018 21:58:49 +0100

gnat-gps (18-2) unstable; urgency=medium

  * Rebuild in unstable for gnat-8 transition.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 27 Oct 2018 15:09:46 +0200

gnat-gps (18-1) experimental; urgency=medium

  * New upstream release.
  * Replace gnatcoll_gtk dependency with gnatcoll_extras subdirectory.
    Directly depend on python-gi-dev, libpython2.7-dev.
  * New valgrind binding, only used on amd64 and i386.
  * Standards-Version: 4.2.0. Rules-Requires-Root: no.
  * Drop obsolete Break/Replace.
  * New documentation docs/release_notes_62.
  * Fix diff offset gnatdoc.diff, see end of bug log for #861616.
  * Build with gnatcoll_sqlite2ada instead of obsolete gnatcoll_db2ada.
  * Enable parallel documentation build now that #869098 is fixed.
  * Fix permissions for tomorrow GTK theme.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 07 Aug 2018 07:46:16 +0200

gnat-gps (17.0.2017-2) experimental; urgency=medium

  * Rebuild with gnat-8 and updated xmlada, gpr1, gtkada, gnatcoll.
    Cherry-pick two upstream commits fixing new errors.
    Remove -lstdc++ from linker options for libclang.
  * Remove watch file and explain why in README.source.
  * Update upstream Homepage.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 10 May 2018 12:33:19 +0200
