=== debian/control ===
--- 
+++ 
@@ -1,30 +1,32 @@
 Source: gnat-gps
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ludovic Brenta <lbrenta@debian.org>
+Maintainer: Ludovic Brenta <lbrenta@debian.org>
 Uploaders: Xavier Grave <xavier.grave@csnsm.in2p3.fr>,
  Nicolas Boulenguez <nicolas@debian.org>
 Build-Depends: debhelper (>= 11),
  gnat,
- libgpr1-dev,
- libxmlada-unicode7-dev,
- libxmlada-input7-dev,
- libxmlada-sax7-dev,
- libxmlada-dom7-dev,
+ libgpr2-dev,
+ libxmlada-unicode8-dev,
+ libxmlada-input8-dev,
+ libxmlada-sax8-dev,
+ libxmlada-dom8-dev,
  gprbuild (>= 2017),
 # gprbuild removing auto.cgpr after the build.
- libtemplates-parser11.10.2-dev,
+ libtemplates-parser12-dev,
  pkg-config, libglib2.0-dev, libgtk-3-dev,
- libgtkada17.0-dev,
- libgnatcoll-python16.1.0-dev,
- libgnatcoll16.1.0-dev,
- libgnatcoll-gtk17.0-dev,
- libgnatcoll-sqlite16.1.0-dev,
- libgnatcoll-xref17.0.2017-dev,
+ libgtkada18-dev,
+ libgnatcoll-python17-dev,
+ libgnatcoll17-dev,
+ libgnatcoll-sqlite-bin (>= 18),
+# d/rules uses gnatcoll_sqlite2ada
+ libgnatcoll-sqlite17-dev,
+ libgnatcoll-xref18-dev,
  libclang-dev,
- libgnatcoll-sqlite-bin
-# used by d/rules to generate gps-kernel-properties-database.ads.
+ libpython2.7-dev,
+# gnatcoll_extras/src/python_support_gtk.c
+ python-gi-dev,
+# gnatcoll_extras/src/python_support_gtk.c
 Build-Depends-Indep:
 # Sphinx uses graphs for Python inheritance trees, in gps.py for example.
  graphviz,
@@ -43,13 +45,15 @@
  python3-sphinx
 # Some gps modules are imported by sphinx.
  ,python3-six
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
+Rules-Requires-Root: no
 Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.gnat-gps
 Vcs-Mtn: mtn://www.ada-france.org?org.debian.gnat-gps
-Homepage: http://libre.adacore.com/libre/tools/gps
+Homepage: https://www.adacore.com/community
 
 Package: gnat-gps
-Architecture: any
+# Gcc exhausts virtual address space on true 32 bits machines, see #913371.
+Architecture: amd64 arm64 mips64el ppc64el s390x alpha ia64 kfreebsd-amd64 ppc64 riscv64 sparc64
 Depends: gnat-gps-common (=${source:Version}), ${shlibs:Depends}, ${misc:Depends},
 # Required to generate the GTK binding at run time.
  gir1.2-gtk-3.0,
@@ -116,8 +120,6 @@
 Package: gnat-gps-common
 Architecture: all
 Depends: ${misc:Depends}
-Breaks: gnat-gps (<< 5.0)
-Replaces: gnat-gps (<< 5.0)
 Description: integrated development environment for C and Ada (common files)
  GNAT Programming Studio is a complete integrated development environment
  that gives access to a wide range of tools and integrates them smoothly.
