=== debian/rules ===
--- 
+++ 
@@ -29,16 +29,24 @@
 gnat_version := $(shell gnatgcc -dumpversion | sed 's/\..*//')
 
 DEB_BUILD_MAINT_OPTIONS := hardening=+all
+ifneq (,$(filter $(DEB_HOST_ARCH), ppc64el))
+  export DEB_CFLAGS_MAINT_APPEND = -O2
+  export DEB_CFLAGS_MAINT_STRIP = -O3
+  export DEB_ADAFLAGS_MAINT_APPEND = -O2
+  export DEB_ADAFLAGS_MAINT_STRIP = -O3
+endif
+DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed -Wl,--no-allow-shlib-undefined \
+  -Wl,--no-copy-dt-needed-entries -Wl,--no-undefined
 include /usr/share/dpkg/default.mk
 # Set CFLAGS (handling noopt from DEB_BUILD_OPTIONS), LDFLAGS,
 # DEB_HOST_GNU_TYPE, DEB_HOST_ARCH, DEB_VERSION...
 include /usr/share/ada/debian_packaging-$(gnat_version).mk
 
-PKG_CONFIG_LIBRARIES := gtk+-3.0 glib-2.0
+PKG_CONFIG_LIBRARIES := gtk+-3.0 glib-2.0 pygobject-3.0 python-2.7
 
 CLANG_VERSION := $(shell dpkg -s libclang-dev \
   | sed -nr '/^Depends: libclang-(.*)-dev.*/{s//\1/p;q}')
-LIBS := -L/usr/lib/llvm-$(CLANG_VERSION)/lib -lclang -lstdc++
+LIBS := -L/usr/lib/llvm-$(CLANG_VERSION)/lib -lclang
 
 PYTHON := python
 
@@ -81,8 +89,8 @@
 
 ######################################################################
 override_dh_auto_build-arch:
-	gprbuild $(BUILDER_OPTIONS) -k -Pdebian/build_gps.gpr \
-	  $(foreach v,ADAFLAGS CFLAGS CPPFLAGS LDFLAGS LIBS,"-X$(v)=$($(v))") \
+	gprbuild $(BUILDER_OPTIONS) -k debian/build_gps.gpr \
+	  $(foreach v,ADAFLAGS CFLAGS CPPFLAGS DEB_HOST_GNU_TYPE LDFLAGS LIBS,"-X$(v)=$($(v))") \
 	  "-XPKG_CONFIG_CFLAGS=`pkg-config --cflags $(PKG_CONFIG_LIBRARIES)`" \
 	  "-XPKG_CONFIG_LIBS=`pkg-config --libs $(PKG_CONFIG_LIBRARIES)`"
 override_dh_auto_clean::
@@ -91,7 +99,7 @@
 database := kernel/generated/gps-kernel-properties-database.ads
 override_dh_auto_build-arch: $(database)
 $(database):
-	cd $(dir $@) && gnatcoll_db2ada -api=GPS.Kernel.Properties.Database -adacreate -dbmodel=../src/properties_schema.txt
+	cd $(dir $@) && gnatcoll_sqlite2ada -api=GPS.Kernel.Properties.Database -adacreate -dbmodel=../src/properties_schema.txt
 override_dh_auto_clean::
 	rm -f $(database)
 
@@ -104,7 +112,7 @@
 override_dh_auto_configure: $(configured)
 $(configured): %: %.in
 	sed \
-	    -e 's/@CURRENT_YEAR@/2017/' \
+	    -e 's/@CURRENT_YEAR@/20$(DEB_VERSION_UPSTREAM)/' \
 	    -e 's/@GPS_VERSION@/$(DEB_VERSION_UPSTREAM)/' \
 	    -e 's/@TARGET@/$(DEB_HOST_GNU_TYPE))/' \
 	    -e 's/@TARGET_IS_DARWIN@/False/' \
@@ -133,12 +141,14 @@
  docs/programmers_guide/_build \
  docs/release_notes/build \
  docs/release_notes_17/build \
+ docs/release_notes_62/build \
  gnatdoc/docs/users_guide/_build
 
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 override_dh_auto_build-indep: $(DOCS)
-  # Rename one of the two ReleaseNotes.pdf.
+  # Give distinct names to release notes.
 	cd docs/release_notes_17/build/latex && cp -f ReleaseNotes.pdf ReleaseNotes_17.pdf
+	cd docs/release_notes_62/build/latex && cp -f ReleaseNotes.pdf ReleaseNotes_62.pdf
   # Sphinx creates Python precompiled files in every imported module,
   # we do not want them installed.
 	find . -name "*.pyc" -delete
@@ -146,14 +156,20 @@
 endif
 
 # Note: see docs/users_guide/GPS/generated_hooks.py above.
-# TODO: append SPHINXOPTS=-j$(BUILDER_JOBS) once #869098 is fixed.
 $(DOCS):
-	$(MAKE) -C $(dir $@) html latexpdf
+	$(MAKE) -C $(dir $@) html latexpdf SPHINXOPTS=-j$(BUILDER_JOBS)
 
 override_dh_auto_clean::
 	rm -fr $(DOCS)
 	find . -name "*.pyc" -delete
 	find . -type d -name "__pycache__" -print0 | xargs -r0 rmdir
+
+# A logo referenced in index.rst but missing.
+docs/release_notes/build: docs/release_notes/gps18.png
+docs/release_notes/gps18.png:
+	cd docs/release_notes && ln -s ../release_notes_62/gps6.png gps18.png
+override_dh_auto_clean::
+	rm -f docs/release_notes/gps18.png
 
 ######################################################################
 # Mimic dh --with sphinxdoc with sphinx-common in Build-Depends-Indep.
@@ -170,6 +186,7 @@
 	rm -f debian/gnat-gps-common/usr/share/gps/color_themes/themes/*/LICENSE*
   # Should be a wishlist for dh_fixperms.
 	chmod 644 debian/gnat-gps-common/usr/share/gps/icons/hicolor/scalable/16x16/gps-*.svg
+	chmod 644 debian/gnat-gps-common/usr/share/gps/color_themes/themes/tomorrow/*.tmTheme
   # Probably errors in upstream package.
 	chmod 644 debian/gnat-gps-common/usr/share/gps/plug-ins/spark2014.py
 	chmod 644 debian/gnat-gps-common/usr/share/gps/support/core/gps_utils/internal/dialogs.py
